Bug 1133773 (CVE-2013-7398) - CVE-2013-7398 async-http-client: missing hostname verification for SSL certificates
Summary: CVE-2013-7398 async-http-client: missing hostname verification for SSL certif...
Status: CLOSED ERRATA
Alias: CVE-2013-7398
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20130109,repo...
Keywords: Security
Depends On: 1150751 1150753 1133787 1150742 1150743 1150744 1150745 1150746 1150747 1150748 1150749 1150750 1150752
Blocks: 1129968 1210482 1232965 1244366
TreeView+ depends on / blocked
 
Reported: 2014-08-26 06:31 UTC by David Jorm
Modified: 2019-06-11 11:13 UTC (History)
11 users (show)

(edit)
It was found that async-http-client did not verify that the server hostname matched the domain name in the subject's Common Name (CN) or subjectAltName field in X.509 certificates. This could allow a man-in-the-middle attacker to spoof an SSL server if they had a certificate that was valid for any domain name.
Clone Of:
(edit)
Last Closed: 2019-06-08 02:34:39 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0850 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.1.0 update 2015-04-16 20:02:45 UTC
Red Hat Product Errata RHSA-2015:0851 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.1.0 update 2015-04-16 20:02:37 UTC
Red Hat Product Errata RHSA-2015:1176 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse 6.2.0 update 2015-06-23 20:52:52 UTC
Red Hat Product Errata RHSA-2015:1551 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse Service Works 6.0.0 security update 2015-08-05 20:20:27 UTC

Description David Jorm 2014-08-26 06:31:17 UTC
It was found that async-http-client did not verify that the server hostname matched the domain name in the subject's Common Name (CN) or subjectAltName field in X.509 certificates. This could allow a man-in-the-middle attacker to spoof an SSL server if they had a certificate that was valid for any domain name.

Comment 2 David Jorm 2014-08-26 07:18:08 UTC
Created async-http-client tracking bugs for this issue:

Affects: fedora-all [bug 1133787]

Comment 9 errata-xmlrpc 2015-04-16 16:06:40 UTC
This issue has been addressed in the following products:

  JBoss BPM Suite 6.1.0

Via RHSA-2015:0851 https://rhn.redhat.com/errata/RHSA-2015-0851.html

Comment 10 errata-xmlrpc 2015-04-16 16:11:37 UTC
This issue has been addressed in the following products:

  JBoss BRMS 6.1.0

Via RHSA-2015:0850 https://rhn.redhat.com/errata/RHSA-2015-0850.html

Comment 11 Fedora Update System 2015-05-08 07:38:28 UTC
async-http-client-1.7.22-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2015-06-23 16:53:27 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse 6.2.0

Via RHSA-2015:1176 https://rhn.redhat.com/errata/RHSA-2015-1176.html

Comment 13 errata-xmlrpc 2015-08-05 16:20:39 UTC
This issue has been addressed in the following products:

  JBoss Fuse Service Works 6.0.0

Via RHSA-2015:1551 https://rhn.redhat.com/errata/RHSA-2015-1551.html


Note You need to log in before you can comment on or make changes to this bug.